Subject: Re: [RFH] Questions for Git User's Survey 2009

From: Jakub Narebski <[email-masked]>
Date: Sat, 30 May 2009 11:39:25 +0200

On Sat, 30 May 2009, Felipe Contreras wrote:
> On Fri, May 29, 2009 at 7:55 PM, Jakub Narebski <[email-masked]> wrote:

[...]
> > So what I would like to have is to come up with a LIST OF QUESTIONS
> > and possible answers; I'd like to limit number of questions with
> > free-form part, and reduce number of free-form questions to absolute
> > minimum; they are pain to analyse with so large number of responses.
> >
> > Please write also _why_ you would want a question; what we can learn
> > from it, how it can help in developing git.
> >
> > Thanks in advance
> 
> Personally I think last year's survey was great, but it was missing
> questions regarding git's user interface. How good is it? What would
> you improve, etc.

The problem with this question is that it is free-form question (and
not single or multiple choice one). With more than 3000 responses to
last year survey free-form questions are not summarized till now. 
I'd rather limit number of free-form questions to absolute minimum.

Hmmm... I wonder if the trend would continue, and we would get around
15,000 responses to this year survey (if there would be one)...
-- 
Jakub Narebski
Poland